# IpNetwork Class Reference
[IP related utilities]

Inheritance diagram for IpNetwork:
[legend]

List of all members.

## Public Member Functions

| __construct (IpAddress $ip, $mask)
| getMask ()
| getStart ()
| getEnd ()
| contains ($probe)

## Static Public Member Functions

static | create (IpAddress $ip, $mask)

## Public Attributes

const | MASK_MAX_SIZE = 31

## Private Attributes

| $ip = null
| $end = null
| $mask = null
| $longMask = null

## Detailed Description

Definition at line 15 of file IpNetwork.class.php.

## Constructor & Destructor Documentation

IpNetwork::__construct | ( | IpAddress $ | ip,
|  | $ | mask |
| ) |  |  |

Definition at line 32 of file IpNetwork.class.php.

References $mask, IpAddress::getLongIp(), and Assert::isInteger().

Here is the call graph for this function:

## Member Function Documentation

IpNetwork::contains | ( | $ | probe | ) |

Implements SingleRange.

Definition at line 77 of file IpNetwork.class.php.

References Assert::isInstance().

Here is the call graph for this function:

static IpNetwork::create | ( | IpAddress $ | ip,
|  | $ | mask |
| ) |  |  | `[static]`

Returns:
  IpNetwork

Definition at line 27 of file IpNetwork.class.php.

References $mask.

Referenced by getEnd().

IpNetwork::getEnd | ( |  | ) |

Returns:
  IpAddress

Implements SingleRange.

Definition at line 65 of file IpNetwork.class.php.

References create().

Here is the call graph for this function:

IpNetwork::getMask | ( |  | ) |

Definition at line 49 of file IpNetwork.class.php.

IpNetwork::getStart | ( |  | ) |

Returns:
  IpAddress

Implements SingleRange.

Definition at line 57 of file IpNetwork.class.php.

## Member Data Documentation

IpNetwork::$end = null`[private]`

Definition at line 20 of file IpNetwork.class.php.

IpNetwork::$ip = null`[private]`

Definition at line 19 of file IpNetwork.class.php.

IpNetwork::$longMask = null`[private]`

Definition at line 22 of file IpNetwork.class.php.

IpNetwork::$mask = null`[private]`

Definition at line 21 of file IpNetwork.class.php.

Referenced by __construct(), and create().

const IpNetwork::MASK_MAX_SIZE = 31

Definition at line 17 of file IpNetwork.class.php.

The documentation for this class was generated from the following file:

- main/Net/Ip/IpNetwork.class.php